Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.cluster
Class RoomInfo

    java.lang.Object
      org.jivesoftware.openfire.muc.cluster.RoomInfo

All Implemented Interfaces:
  Externalizable, Serializable

    public class RoomInfo

extends Object
implements Externalizable

Representation of a room configuration and its occupants. This information is requested by a cluster node when joining the cluster (requested to the senior member) and also from each cluster node to the new node joining the cluster. Each cluster node (existing and new one) has to merge its local rooms with the new ones.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`RoomInfo()` Do not use this constructor.
`RoomInfo(LocalMUCRoom room, Collection<MUCRole> occupants)`

Method Summary
`List<OccupantAddedEvent>` | `getOccupants()`
`LocalMUCRoom` | `getRoom()`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoomInfo

    public RoomInfo()

  Do not use this constructor. Needed for Externalizable interface.

### RoomInfo

    public RoomInfo(LocalMUCRoom room,
                    Collection<MUCRole> occupants)

Method Detail

### getRoom

    public LocalMUCRoom getRoom()

### getOccupants

    public List<OccupantAddedEvent> getOccupants()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.